// CFESAndroidGraphics - [2020-04-13 11:57:46]
#ifndef _CFESANDROIDGRAPHICS_H_
#define _CFESANDROIDGRAPHICS_H_

#include "common.h"
#include "CFEScreen.h"

/*
00153510 CFESAndroidGraphics::CFESAndroidGraphics()
00125394 CFESAndroidGraphics::~CFESAndroidGraphics()
00124EDC CFESAndroidGraphics::Init()
0012509C CFESAndroidGraphics::Process()
001250A6 CFESAndroidGraphics::Render2D()
001250AC CFESAndroidGraphics::Render2DHUD()
00125130 CFESAndroidGraphics::SendGraphicsAnalytics()
0012520C CFESAndroidGraphics::Exit()
00125210 CFESAndroidGraphics::OnBackPressed()
00125288 CFESAndroidGraphics::RebootGameCB(int,void *)
001252B8 CFESAndroidGraphics::OnInfoPressed()
00125328 CFESAndroidGraphics::HelpCB(int,void *)
*/

class CFESAndroidGraphics : public CFEScreen {
public:
  CFESAndroidGraphics();                  // 00153510
  virtual ~CFESAndroidGraphics();         // 00125394
  void Init();                            // 00124EDC
  virtual void Process();                 // 0012509C
  void Render2D();                        // 001250A6
  void Render2DHUD();                     // 001250AC
  static void SendGraphicsAnalytics();    // 00125130
  void Exit();                            // 0012520C
  static void OnBackPressed();            // 00125210
  static void RebootGameCB(int, void *);  // 00125288
  static void OnInfoPressed();            // 001252B8
  static void HelpCB(int, void *);        // 00125328
  static int ms_iValues[3];
  static uint ms_iOriginalValues[3];
  ;
};

#endif  //_CFESANDROIDGRAPHICS_H_